---
title: Deals
slug: countdownapi/ebay-product-data-api/parameters/deals
docTags: 
createdAt: 2024-07-29T12:49:20.015Z
---

# Deals Parameters

<font color="#52c41a">`GET`</font>  `/request`

The Deals Parameters are applicable when making a request with  `type=deals`  to retrieve deals results for an Ebay deals page specified in the  `url`  parameter. The parameters should be appended as querystring parameters to the Ebay Product Data API `GET` HTTP request.

Deals results are retrieved from the [deals page](https://www.ebay.com/deals) on Ebay.

![](https://apiimages.imgix.net/countdownapi/images/png/docs/dealspage.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Deals Results Page")

For example, to request deals results for the deals page  `https://www.ebay.com/deals` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.countdownapi.com/request?api_key=demo&type=deals&url=https%3A%2F%2Fwww.ebay.com%2Fdeals
```

```curl
curl -L --get https://api.countdownapi.com/request \
-d api_key="demo" \
-d type="deals" \
-d url="https://www.ebay.com/deals"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "deals",
  url: "https://www.ebay.com/deals"
}

// make the http GET request to Countdown API
axios.get('https://api.countdownapi.com/request', { params })
  .then(response => {

    // print the JSON response from Countdown API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'deals',
  'url': 'https://www.ebay.com/deals'
}

# make the http GET request to Countdown API
api_result = requests.get('https://api.countdownapi.com/request', params)

# print the JSON response from Countdown API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'deals',
  'url' => 'https://www.ebay.com/deals'
]);

# make the http GET request to Countdown API
$ch = curl_init(sprintf('%s?%s', 'https://api.countdownapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from Countdown API
echo $api_result;

?>
```
:::

***

### Deals Parameters

The following parameters are available for all requests made when  `type=deals` .

| *`Parameter`* | *`Required`*        | *`Description`*                                                                                                                                                                                                                                                                                                   |
| ------------- | ------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *`url`*       | <u>*`required`*</u> | The Ebay deals page URL to retrieve deals results from, in the form `https://www.ebay.com/deals` .                                                                                                                                                                                                                |
| *`page`*      | *`optional`*        | The current page of deals results to retrieve.                                                                                                                                                                                                                                                                    |
| *`max_page`*  | *`optional`*        | Use the `max_page` parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.  <br />See the [Pagination ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/pagination)docs for more information. |

***

**Next Steps**
     [Deals Results](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/results/deals)
